%define	name	xsw-stimages
%define	version 1.7
%define release 5mdk
%define summary	Star Trek image theme for XShipWars
%define clientdir %{_datadir}/games/xshipwars

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Games/Other
Source:		ftp://fox.mit.edu/pub/xsw/stimages%{version}.tar.bz2
Url: 		http://wolfpack.twu.net/ShipWars/XShipWars
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	xsw-data
Provides:	xsw-images

%description
This is a Star Trek image theme for XShipWars

%prep
rm -rf $RPM_BUILD_ROOT

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/%{clientdir}
tar xvjf %{SOURCE0} -C $RPM_BUILD_ROOT/%{clientdir}
mv $RPM_BUILD_ROOT/%{clientdir}/images/default.isr $RPM_BUILD_ROOT/%{clientdir}/images/startrek.isr

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{clientdir}/*

%post
update-alternatives --install %{clientdir}/images/default.isr xsw-images %{clientdir}/images/startrek.isr 20

%postun
update-alternatives --remove xsw-images %{clientdir}/images/startrek.isr

%changelog
* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.7-5mdk
- rebuild for rpm 4.2

* Wed Jan 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.7-4mdk
- back from lost in cyberspace
- requires xsw-data

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.7-3mdk
- used alternative system
- s/Copyright/License

* Fri Jun 22 2001 Etienne Faure    <etienne@mandrakesoft.com> 1.7-2mdk
- rebuild for contribs

* Tue Apr 24 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.7-1mdk
- first distinct package
